Subject: RE: [Simple] comments on draft-ietf-simple-rpid (long)

From: [email-masked]
Date: Tue, 2 Mar 2004 09:03:51 +0200

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext Jonathan Rosenberg
> Sent: 01.March.2004 17:05
> To: Henning Schulzrinne
> Cc: Paul Kyzivat; Simple WG
> Subject: Re: [Simple] comments on draft-ietf-simple-rpid (long)
> 

> > 
> > 
> > I can't see how a PC or phone could compute these 
> probabilities. This 
> > would require knowing that 10 minutes of absence (the only 
> observable 
> > value), for a particular user, implies that there's a 20% 
> chance that 
> > the user has stepped out. Unless your PC or phone has a 
> user proximity 
> > detector, this seems hard to do.
> > 
> > We do have the contact-type to allow the receiver to guess 
> what this may 
> > mean. I think we discussed this before: in almost all 
> cases, the value 
> > of a long idle time is not all that high (unless you know that the 
> > presentity is either a telemarketer who doesn't exist 
> without a phone or 
> > a compulsive PC user that doesn't take his hands off the 
> keyboard while 
> > in the office), but a short idle time is a good indication 
> that somebody 
> > is likely home, be it a phone or PC.
> > 
> > Thus, my suggestion is to leave this as is and not try to 
> over-interpret 
> > the value.
> 
> I'd really rather not; I think its a mistake to produce an idle 
> attribute that differs substantially from established 
> semantics. This is 
> one of the few pidf extensions that we know is widely used in 
> existing 
> systems, and is a clear requirement for us to provide.
> 
> I would instead propose that we define an attribute like 
> <device-idle> 
> which makes it clear that this refers to the idle time on the 
> DEVICE on 
> which that particular tuple is associated. A natural 
> consequence of this 
> is that it wouldnt make sense for tuples that span devices or are 
> otherwise not associated with a device. I'd also suggest adding text 
> that makes it clear that, in the one case of an IM app on a PC, that 
> this has the commonly understood semantics of idle.

What else is idle? Surely <idle> is not saying that the human is idle, but the device that the human is using has not been used for a while. <device-idle> gains nothing.

For mobile phones, users can ignore the idle indication.

/Hisham

> 
> We may or may not also want idle as you have defined it; I am more 
> agnostic on that point, but would suggest renamining it if it is 
> included, to avoid confusion.
> 
> Thanks,
> Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple